FORUMS: list search recent posts

Confused about Premiere 2017 update

COW Forums : Adobe Premiere Pro

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
marise nazzaro
Confused about Premiere 2017 update
on May 16, 2017 at 1:31:42 pm

Can I keep the older versions 2015 available if I download the new version? I tried but I had to re-install the older version to get specific projects to open. I also had to uninstall the new version. I wound up making all kinds of new project files in my folders and paranoid to delete any of them.
Please explain to me about folder naming and how to keep various versions around so I don't have to keep uninstalling and reinstalling.

Thank you


Return to posts index

Andy Edwards
Re: Confused about Premiere 2017 update
on May 16, 2017 at 3:12:47 pm

Yes, you can keep CC2015 version and CC2017 version on the same machine. You most likely didn't use the "advanced" menu where you tell the CC desktop application to "not" remove your older version when installing apps. In the advanced menu, if you uncheck the box when you are installing the newer version it will keep the older version. This is only good on major version releases like CC2015 or CC2017. If Adobe releases a "patch" for a specific version, i.e. CC2017 .02 upgrading to CC2017.1, you cannot keep the older .02 version on the same machine. You can keep CC2015 & CC2017 version separate on your machine, but remember CC2015 has various bugs that were patched or fixed in CC2017. Some plug ins that were good on CC2015 have to be updated if you want to move to CC2017.

You can read more about upgrading your Adobe apps here:
https://helpx.adobe.com/creative-cloud/help/download-install-app.html#topic...
Make sure to read the Not in Step 3 of Install previous versions of apps. This explains how to use the advanced menu to keep older versions.

Advanced option instructions
http://blogs.adobe.com/adobecare/2015/06/15/creative-cloud-delivering-more-...

Additional info to consider here:
https://blogs.adobe.com/creativecloud/keeping-previous-versions-installed-w...

Newer projects created in CC2017 are not backwards compatible to CC2015. So once you move forward with your project, you are stuck using that version unless you make an XML and import it into the older project. Also remember Lumetri effects used in one version or the other will act differently and you will see differences in your color correction.

Andy Edwards


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]